Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.ui
[Groovy] Class HistoryRecord

    java.lang.Object
      groovy.ui.HistoryRecord

    class HistoryRecord
    extends Object

Property Summary
`String` | `allText`
`Throwable` | `exception`
`Object` | `result`
`String` | `scriptName`
`int` | `selectionEnd`
`int` | `selectionStart`

Method Summary
`String` | `getTextToRun(boolean useSelection)`
`Object` | `getValue()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### allText

    String allText

### exception

    Throwable exception

### result

    Object result

### scriptName

    String scriptName

### selectionEnd

    int selectionEnd

### selectionStart

    int selectionStart

Method Detail

### getTextToRun

    String getTextToRun(boolean useSelection)

### getValue

    Object getValue()

Copyright © 2003-2010 The Codehaus. All rights reserved.